/* FILE: WindowController.h
 *
 * Project              TChat
 * Class                WindowController
 * Creator              Chris B. Vetter
 * Maintainer           Chris B. Vetter
 * Creation Date        Mon Sep 11 15:17:32 CEST 2006
 *
 * Copyright (c) 2006
 *
 * TChat is free software under the terms of a dual BSD/LGPL license.
 * For a full copyright description, see the COPYRIGHT file.
 *
 ***************************************************************************/

#ifndef _WINDOWCONTROLLER_H_
#define _WINDOWCONTROLLER_H_ 1
/***************************************************************************/

//
// Include
//

#include <Foundation/NSObject.h>
#include <AppKit/NSNibDeclarations.h>

//
// Define
//

//
// Public
//

//
// Referenced Classes
//

@class	NSFileHandle,
	NSString;

//
// Interface
//

/**
 * <unit>
 *   <heading>
 *     WindowController class description
 *   </heading>
 *   <p>
 *     <!-- Foreword -->
 *   </p>
 *   <unit />
 *   <p>
 *     <!-- Afterword -->
 *   </p>
 * </unit>
 * <em>Description forthcoming</em>
 */

@interface WindowController : NSObject
{
  @private
    IBOutlet id		 textView;
    IBOutlet id		 inputField;
    IBOutlet id		 window;
  
    NSFileHandle	*fileHandle;
    NSString		*myName;
}

//
// Factory Methods
//

- (id) initWithConnection: (NSFileHandle *) aFileHandle
                   myName: (NSString *) me;

//
// Instance Methods
//

- (void) showWindow: (id) sender;

//
// Accessor Methods
//

@end

//
// Prototypes
//

/***************************************************************************/
#endif
